package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.entity.ApkVersion
import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
class UpdateVersonTask : RxDataAsyncTask<ApkVersion, ResultEntity<ApkVersion>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<ApkVersion>> {
        val params = mutableMapOf<String, Any?>("type" to 2)
        return RetrofitHelper.api.versonUpdate(Encryption.encryption(params))
    }
}
